summaryrefslogtreecommitdiff
path: root/updateSources
diff options
context:
space:
mode:
Diffstat (limited to 'updateSources')
-rwxr-xr-xupdateSources19
1 files changed, 19 insertions, 0 deletions
diff --git a/updateSources b/updateSources
new file mode 100755
index 00000000..77bbba31
--- /dev/null
+++ b/updateSources
@@ -0,0 +1,19 @@
+#!/bin/bash
+
+srcDir="${HOME}/packageSources"
+
+[ -d "${srcDir}" ] || exit 0
+
+find "${srcDir}" \
+ -mindepth 2 \
+ -maxdepth 2 \
+ -name HEAD \
+ -printf '%h\n' \
+| parallel -j 0 -l 1 git -C {} fetch --all -p
+
+find "${srcDir}" \
+ -mindepth 2 \
+ -maxdepth 2 \
+ -type d \
+ -name .svn \
+ -execdir svn update \;